<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup useLegacyV2RuntimeActivationPolicy="True">
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
    <supportedRuntime version="v2.0.50727" />
  </startup>
  <connectionStrings>
    <add name="DefaultDB" connectionString="Data Source=.\db\OptionDB.db;Version=3;" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <appSettings>
    <!--存在插件的相对目录Biz\Plugins-->
    <add key="PluginDir" value="MtLib\Mt.Plugins" />
    <!--存放工作区布局的配置文件的默认目录，如代码中动态设置路径则此目录无效-->
    <add key="LayoutsDir" value="Config\Layouts" />
    <!--存放面板组件动态库的目录-->
    <!--<add key="WicketDir" value="MtLib\Mt.Plugins" />-->
    <!--存放面板组件布局的配置文件的默认目录，如代码中动态设置路径则此目录无效-->
    <!--<add key="WicketLayoutsDir" value="Config\WicketLayouts" />-->
    <!--CEF的环境变量-->
    <!--<add key="CefLibDir" value="HSUCF\Cef" />-->
    <!--记录到磁盘的日志级别，即枚举值小于等于该值的级别都记录到文件，数值(参考HSLogLevel枚举); 默认2/Info则代表2/Info，1/Warn，0/Error的日志都记录到文件-->
    <add key="MinIoLogLevel" value="2" />
    <!--日志单个文件最大容量，如超出容量将分出新的文件。 容量单位：MB  精度：double-->
    <add key="LogSplitSize" value="10" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <runtime>
    <legacyCorruptedStateExceptionsPolicy enabled="true" />
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <publisherPolicy apply="yes" />
      <!--动态库引用路径-->
      <probing privatePath="Libs;Libs\H5;Libs\SpeedApi;Libs\UApi;Libs\Strategy;Libs\CmdApi;Libs\ModulusFE;Libs\NPOI;HSUCF\Frame;HSUCF\Resources;MtLib;MtLib\Mt.Api;MtLib\Mt.Business;MtLib\Mt.Plugins;MtLib\Mt.ExternalPlugins;MtLib\Mt.Cmd;HSUCF\Resources;IUV\Common;IUV\Quote;IUV\Tool;IUV\Engine;IUV\Community;HSUCF\Resources\FormulaTool;HSQC;HSQC\DevExpress;HSQC\Microsoft.Bcl.Async;HSQC\OxyPlot;Biz\Plugins;Biz;" />
      <!--<dependentAssembly>
        <assemblyIdentity name="System.Windows.Interactivity" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.5.0.0" newVersion="4.5.0.0" />
      </dependentAssembly>-->
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="NPOI" publicKeyToken="0df73ec7942b34e1" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.1.0" newVersion="2.2.1.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="NPOI.OOXML" publicKeyToken="0df73ec7942b34e1" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.1.0" newVersion="2.2.1.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>